diff --git a/arch/arm64/boot/dts/renesas/r8a779g0.dtsi b/arch/arm64/boot/dts/renesas/r8a779g0.dtsi
index 2ee306305d83..84fcd7c50f65 100644
--- a/arch/arm64/boot/dts/renesas/r8a779g0.dtsi
+++ b/arch/arm64/boot/dts/renesas/r8a779g0.dtsi
@@ -1207,6 +1207,18 @@ vin00isp0: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&isp0vin00>;
 					};
+
+					vin00isp1: endpoint@1 {
+						reg = <1>;
+					};
+
+					vin00isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin00isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1235,6 +1247,18 @@ vin01isp0: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&isp0vin01>;
 					};
+
+					vin01isp1: endpoint@1 {
+						reg = <1>;
+					};
+
+					vin01isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin01isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1263,6 +1287,18 @@ vin02isp0: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&isp0vin02>;
 					};
+
+					vin02isp1: endpoint@1 {
+						reg = <1>;
+					};
+
+					vin02isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin02isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1291,6 +1327,18 @@ vin03isp0: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&isp0vin03>;
 					};
+
+					vin03isp1: endpoint@1 {
+						reg = <1>;
+					};
+
+					vin03isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin03isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1319,6 +1367,18 @@ vin04isp0: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&isp0vin04>;
 					};
+
+					vin04isp1: endpoint@1 {
+						reg = <1>;
+					};
+
+					vin04isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin04isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1347,6 +1407,18 @@ vin05isp0: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&isp0vin05>;
 					};
+
+					vin05isp1: endpoint@1 {
+						reg = <1>;
+					};
+
+					vin05isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin05isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1375,6 +1447,18 @@ vin06isp0: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&isp0vin06>;
 					};
+
+					vin06isp1: endpoint@1 {
+						reg = <1>;
+					};
+
+					vin06isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin06isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1403,6 +1487,18 @@ vin07isp0: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&isp0vin07>;
 					};
+
+					vin07isp1: endpoint@1 {
+						reg = <1>;
+					};
+
+					vin07isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin07isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1427,10 +1523,22 @@ port@2 {
 
 					reg = <2>;
 
+					vin08isp0: endpoint@0 {
+						reg = <0>;
+					};
+
 					vin08isp1: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&isp1vin08>;
 					};
+
+					vin08isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin08isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1455,10 +1563,22 @@ port@2 {
 
 					reg = <2>;
 
+					vin09isp0: endpoint@0 {
+						reg = <0>;
+					};
+
 					vin09isp1: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&isp1vin09>;
 					};
+
+					vin09isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin09isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1483,10 +1603,22 @@ port@2 {
 
 					reg = <2>;
 
+					vin10isp0: endpoint@0 {
+						reg = <0>;
+					};
+
 					vin10isp1: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&isp1vin10>;
 					};
+
+					vin10isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin10isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1511,10 +1643,22 @@ port@2 {
 
 					reg = <2>;
 
+					vin11isp0: endpoint@0 {
+						reg = <0>;
+					};
+
 					vin11isp1: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&isp1vin11>;
 					};
+
+					vin11isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin11isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1539,10 +1683,22 @@ port@2 {
 
 					reg = <2>;
 
+					vin12isp0: endpoint@0 {
+						reg = <0>;
+					};
+
 					vin12isp1: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&isp1vin12>;
 					};
+
+					vin12isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin12isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1567,10 +1723,22 @@ port@2 {
 
 					reg = <2>;
 
+					vin13isp0: endpoint@0 {
+						reg = <0>;
+					};
+
 					vin13isp1: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&isp1vin13>;
 					};
+
+					vin13isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin13isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1595,10 +1763,22 @@ port@2 {
 
 					reg = <2>;
 
+					vin14isp0: endpoint@0 {
+						reg = <0>;
+					};
+
 					vin14isp1: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&isp1vin14>;
 					};
+
+					vin14isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin14isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -1623,10 +1803,22 @@ port@2 {
 
 					reg = <2>;
 
+					vin15isp0: endpoint@0 {
+						reg = <0>;
+					};
+
 					vin15isp1: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&isp1vin15>;
 					};
+
+					vin15isp2: endpoint@2 {
+						reg = <2>;
+					};
+
+					vin15isp3: endpoint@3 {
+						reg = <3>;
+					};
 				};
 			};
 		};
@@ -2083,6 +2275,10 @@ isp0csi40: endpoint@0 {
 						reg = <0>;
 						remote-endpoint = <&csi40isp0>;
 					};
+
+					isp0csi41: endpoint@1 {
+						reg = <1>;
+					};
 				};
 
 				port@1 {
@@ -2162,6 +2358,10 @@ port@0 {
 
 					reg = <0>;
 
+					isp1csi40: endpoint@0 {
+						reg = <0>;
+					};
+
 					isp1csi41: endpoint@1 {
 						reg = <1>;
 						remote-endpoint = <&csi41isp1>;